summaryrefslogtreecommitdiff
path: root/source4/heimdal_build/asn1_compile_wrapper.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/heimdal_build/asn1_compile_wrapper.sh')
-rwxr-xr-xsource4/heimdal_build/asn1_compile_wrapper.sh73
1 files changed, 73 insertions, 0 deletions
diff --git a/source4/heimdal_build/asn1_compile_wrapper.sh b/source4/heimdal_build/asn1_compile_wrapper.sh
new file mode 100755
index 0000000000..96677c7e8e
--- /dev/null
+++ b/source4/heimdal_build/asn1_compile_wrapper.sh
@@ -0,0 +1,73 @@
+#!/bin/sh
+#
+
+SELF=$0
+SELFDIR=`dirname ${SELF}`
+
+SRCDIR=$1
+BUILDDIR=$2
+DESTDIR=$3
+
+CMD=$4
+FILE=$5
+NAME=$6
+shift 6
+OPTIONS="$@"
+
+test -z "${SRCDIR}" && {
+ echo "${SELF}:SRCDIR: '${SRCDIR}'" >&2;
+ exit 1;
+}
+
+test -z "${BUILDDIR}" && {
+ echo "${SELF}:BUILDDIR: '${BUILDDIR}'" >&2;
+ exit 1;
+}
+
+test -z "${DESTDIR}" && {
+ echo "${SELF}:DESTDIR: '${DESTDIR}'" >&2;
+ exit 1;
+}
+
+test -z "${CMD}" && {
+ echo "${SELF}:CMD: '${CMD}'" >&2;
+ exit 1;
+}
+
+test -z "${FILE}" && {
+ echo "${SELF}:FILE: '${FILE}'" >&2;
+ exit 1;
+}
+
+test -z "${NAME}" && {
+ echo "${SELF}:NAME: '${NAME}'" >&2;
+ exit 1;
+}
+
+CURDIR=`pwd`
+
+cd ${SRCDIR} && {
+ ABS_SRCDIR=`pwd`
+ cd ${CURDIR}
+} || {
+ echo "${SELF}:cannot cd into '${SRCDIR}'" >&2;
+ exit 1;
+}
+
+cd ${BUILDDIR} && {
+ ABS_BUILDDIR=`pwd`
+ cd ${CURDIR}
+} || {
+ echo "${SELF}:cannot cd into '${BUILDDIR}'" >&2;
+ exit 1;
+}
+
+cd ${DESTDIR} && {
+ ${ABS_BUILDDIR}/${CMD} ${OPTIONS} ${ABS_SRCDIR}/${FILE} ${NAME} >&2 || exit 1;
+ cd ${CURDIR}
+} || {
+ echo "${SELF}:cannot cd into '${BUILDDIR}'" >&2;
+ exit 1;
+}
+
+exit 0;